# Events

This page lists all event types sent by Abyssale to your configured webhook endpoint.

All events are delivered via an **HTTP POST** request (https only) with the `application/json` content type.

#### Supported Events

The following table details the events you can subscribe to and the specific payload contained within the `data` field for each.

| **Event Name**     | **Trigger Condition**                                                                                                                                                             | **Data Payload Reference**                                                      |
| ------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------- |
| `NEW_BANNER`       | Triggered when a single banner has been successfully generated or saved.                                                                                                          | [Banner Details Page](/webhooks/events/banner-events.md#new_banner)             |
| `NEW_EXPORT`       | Triggered when a design export (e.g., a ZIP file of multiple banners) has finished processing and is available for download.                                                      | [Export Details Page](/webhooks/events/global-events.md#new_export)             |
| `NEW_BANNER_BATCH` | Triggered when an asynchronous batch visual generation API request, which produces multiple banners, has completed. This includes success and error details for the entire batch. | [Banner Batch Details Page](/webhooks/events/banner-events.md#new_banner_batch) |
| `TEMPLATE_STATUS`  | Triggered when the workflow status on a design is updated (e.g., changed to `APPROVED` ,`REJECTED...`).                                                                           | [Design Status Details Page](/webhooks/events/design-events.md#template_status) |

***

#### 3. Acknowledging Receipt

To prevent Abyssale from retrying the request, your endpoint must immediately acknowledge successful receipt of the payload.

* *Required Response*: You must return an `HTTP 200 OK` response.
* *Response Body*: The response body can be empty.
* *Timeout*: The response must be returned within the configured timeout period (**max 15 seconds**).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.abyssale.com/webhooks/events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
